Subject: Re: [PATCH]ip_options_fragment() has no effect on fragmentation

From: [email-masked]
Date: Fri, 5 May 2006 13:50:02 -0400

Hello Mr. David:

Does this patch will be used? 

This patch resolved the following problem: When I send IPv4 packet(contain 
Record Route Option) which need to be fragmented to the router, the router 
can not fragment it correctly. After fragmented by router, the second 
fragmentation still contain Record Route Option. Refer to RFC791, Record 
Route Option must Not be copied on fragmentation, goes in first fragment 
only.

On Thursday 02 February 2006 20:08, David S. Miller wrote:
> From: Wei Yongjun <[email-masked]>
> Date: Wed, 01 Feb 2006 14:21:41 -0500
>
> Your patch is still corrupt, new lines were added by your email client
> which splits up the patch headers.
>
> I applied the patch by hand, but next time I won't put so much effort
> into fixing up your work.  Please learn how to submit patches
> properly.
>
> Thank you.

--- a/net/ipv4/ip_options.c.orig 2006-01-27 09:14:33.463612696 +0900
+++ b/net/ipv4/ip_options.c 2006-01-27 09:12:21.857619848 +0900
@@ -207,7 +207,7 @@
 
 void ip_options_fragment(struct sk_buff * skb) 
 {
- unsigned char * optptr = skb->nh.raw;
+ unsigned char * optptr = skb->nh.raw + sizeof(struct iphdr);
  struct ip_options * opt = &(IPCB(skb)->opt);
  int  l = opt->optlen;
  int  optlen;